import Vue from 'vue';
import VueI18n from 'vue-i18n';

Vue.use(VueI18n);

// 引入语言包
import en from '@/locales/en.json';
import zh from '@/locales/zh.json';

// 创建 i18n 实例
const i18n = new VueI18n({
  locale: 'en', // 默认语言
  fallbackLocale: 'en', // 回退语言
  messages: {
    en, // 英文语言包
    zh, // 中文语言包
  },
});

export default i18n;